[SRU] 2.2-3+nmu1 upgrade fails on conflict with libwagon-java

Bug #1171056 reported by Blair Zajac on 2013-04-21
756
This bug affects 182 people
Affects Status Importance Assigned to Milestone
Apache Maven
New
Undecided
Unassigned
wagon2 (Ubuntu)
High
James Page
Raring
High
Unassigned
Saucy
High
James Page

Bug Description

[Impact]
libwagon-java and libwagon2-java are not co-installable as they install the same file.

[Test Case]
sudo apt-get install libwagon2-java
[...]
Unpacking libwagon2-java (from .../libwagon2-java_2.2-3+nmu1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/libwagon2-java_2.2-3+nmu1_all.deb (--unpack):
 trying to overwrite '/usr/share/java/wagon-tck-http.jar', which is also in package libwagon-java 1.0.0-2ubuntu2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

[Regression Potential]
Minimal; the fix just updates the offending jar file in libwagon2-java to be versioned.

[Original Bug Report]
Upgrading to 2.2-3+nmu1 failed with the following output:

# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libwagon2-java
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1,052 kB of archives.
After this operation, 1,024 B of additional disk space will be used.
Do you want to continue [Y/n]?
Reading changelogs... Done
Get:1 Changelog for libwagon2-java (http://changelogs.ubuntu.com/changelogs/pool/universe/w/wagon2/wagon2_2.2-3+nmu1/changelog) [1,068 B]
wagon2 (2.2-3+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2013-0253: doesn't check SSL certificates by default
    (closes: #701991).

 -- Michael Gilbert <email address hidden> Fri, 22 Mar 2013 01:19:26 +0000

apt-listchanges: Mailing root: apt-listchanges: changelogs for orca4.orcaware.com
(Reading database ... 383224 files and directories currently installed.)
Preparing to replace libwagon2-java 2.2-3 (using .../libwagon2-java_2.2-3+nmu1_all.deb) ...
Unpacking replacement libwagon2-java ...
dpkg: error processing /var/cache/apt/archives/libwagon2-java_2.2-3+nmu1_all.deb (--unpack):
 trying to overwrite '/usr/share/java/wagon-tck-http.jar', which is also in package libwagon-java 1.0.0-2ubuntu2
No apport report written because MaxReports is reached already
                                                              dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libwagon2-java_2.2-3+nmu1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: libwagon2-java 2.2-3
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
Date: Sat Apr 20 20:13:54 2013
InstallationDate: Installed on 2012-01-06 (470 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64+mac (20111011)
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 XDG_RUNTIME_DIR=<set>
SourcePackage: wagon2
UpgradeStatus: Upgraded to raring on 2013-04-13 (7 days ago)

Blair Zajac (blair) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in wagon2 (Ubuntu):
status: New → Confirmed
asmodey (pavel-finkelshtein) wrote :

As hotfix one can execute
sudo dpkg -i --force-all /var/cache/apt/archives/libwagon2-java_2.2-3+nmu1_all.deb

this will force installation of libwagon2 and then maven installation can be proceeded.

Jack2 (jack-2-f) wrote :

Worked like a charm, thanks!

Tiare Balbi (tiare) wrote :

thanks work here too!!

francesco (francesco-damore) wrote :

With a new installation of Ubuntu 13.04, this is the problem with libwagon2-java

Unpacking libwagon2-java (from .../libwagon2-java_2.2-3+nmu1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/libwagon2-java_2.2-3+nmu1_all.deb (--unpack):
 trying to overwrite '/usr/share/java/wagon-tck-http.jar', which is also in package libwagon-java 1.0.0-2ubuntu2
No apport report written because MaxReports is reached already
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libwagon2-java_2.2-3+nmu1_all.deb
dpkg: dependency problems prevent configuration of maven:
 maven depends on libwagon2-java (>= 2.2-2); however:
  Package libwagon2-java is not installed.

dpkg: error processing maven (--configure):
 dependency problems - leaving unconfigured

Jack C. Holt (jackcholt) wrote :

Ran the hotfix and it works. Thanks

Nicola Sanitate (n-sanitate) wrote :

hotfix works great.. thanks

francesco (francesco-damore) wrote :

Hotfix works even for me.

Thank you.

Александр (sash0k-v) wrote :

got same issue when installed maven for Lubuntu 13.04 x64.
Fix helped.

Pranav Salunke (dguitarbite) wrote :

the force install fix works for me :)

Bernard Putersznit (bp-r) wrote :

as other(s) when i tried to install maven from the ubuntu repository

Fred Campaigne (fcampaigne) wrote :

tanks for the fix

ssgao (simongao888) wrote :

hotfix didn't work for 13.04

Errors were encountered while processing:
 libhttpcore-java
 libslf4j-java
 libservlet2.5-java
 libslf4j-java
 libapache-pom-java
 libapache-pom-java
 libcommons-parent-java
 libcommons-logging-java
 libplexus-interpolation-java
 libclassworlds-java
 libplexus-interpolation-java
 libxml-commons-resolver1.1-java
 libxml-commons-external-java
 libxerces2-java
 libxalan2-java
 libplexus-interpolation-java
 libplexus-utils-java
 libxalan2-java
 libplexus-interpolation-java
 libplexus-utils-java
 libxalan2-java
 libplexus-utils-java
 libcommons-lang-java
 libclassworlds-java
 junit
 libplexus-container-default-java
 java-wrappers

James Page (james-page) on 2013-05-08
Changed in wagon2 (Ubuntu Raring):
status: New → Confirmed
importance: Undecided → High
Changed in wagon2 (Ubuntu Saucy):
importance: Undecided → High
status: Confirmed → In Progress
assignee: nobody → James Page (james-page)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wagon2 - 2.2-3+nmu1ubuntu1

---------------
wagon2 (2.2-3+nmu1ubuntu1) saucy; urgency=low

  * Fix jar file name conflict with libwagon-java (LP: #1171056):
    - d/libwagon2-java.poms: Ensure all jar files installed to
      /usr/share/java use 2.x suffix.
 -- James Page <email address hidden> Tue, 07 May 2013 22:48:23 -0700

Changed in wagon2 (Ubuntu Saucy):
status: In Progress → Fix Released

Thanks #3 for your hotfix!

James Page (james-page) on 2013-05-13
summary: - 2.2-3+nmu1 upgrade fails on conflict with libwagon-java
+ [SRU] 2.2-3+nmu1 upgrade fails on conflict with libwagon-java
description: updated
description: updated
James Page (james-page) wrote :

Fix uploaded to raring-proposed for SRU team review.

James Page (james-page) on 2013-05-16
Changed in wagon2 (Ubuntu Raring):
status: Confirmed → Triaged

Hello Blair, or anyone else affected,

Accepted wagon2 into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/wagon2/2.2-3+nmu1ubuntu0.13.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in wagon2 (Ubuntu Raring):
status: Triaged → Fix Committed
tags: added: verification-needed
ksclarke (ksclarke) wrote :

I used the -proposed fix and installed libwagon2-java version 2.2-3+nmu1ubuntu0.13.04.1. I uninstalled all the old maven/libwagon2-java packages first then reinstalled with the -proposed version of libwagon2-java and the fix worked for me. Thanks!

tags: added: verification-done
removed: verification-needed
Trevor Robinson (scurrilous) wrote :

Adding "d-i apt-setup/proposed boolean true" to my raring preseed, which includes maven in pkgsel/include, allows the install to succeed, so the fix works for me as well.

Piet Delport (pjdelport) wrote :

I ran into this problem, and can confirm that libwagon2-java 2.2-3+nmu1ubuntu0.13.04.1 from raring-proposed fixes it.

David Medberry (med) wrote :

Ditto, fix works. Thanks Brian/James

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wagon2 - 2.2-3+nmu1ubuntu0.13.04.1

---------------
wagon2 (2.2-3+nmu1ubuntu0.13.04.1) raring-proposed; urgency=low

  * Fix jar file name conflict with libwagon-java (LP: #1171056):
    - d/libwagon2-java.poms: Ensure all jar files installed to
      /usr/share/java use 2.x suffix.
 -- James Page <email address hidden> Tue, 07 May 2013 22:48:23 -0700

Changed in wagon2 (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers